> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settlement Transactions

> Given a customer, retrieve its transaction history from a account.



## OpenAPI

````yaml GET /customer/accounts/settlement-transactions/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/accounts/settlement-transactions/{account_id}:
    get:
      tags:
        - Customer
      summary: Get Finxact Transactions
      description: Given a customer, retrieve its transaction history from a account.
      operationId: >-
        get_finxact_transactions_customer_accounts_settlement_transactions__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: settlement_date
          in: query
          required: true
          schema:
            type: string
            description: Start date for transactions in ISO format (YYYY-MM-DD)
            title: Settlement Date
          description: Start date for transactions in ISO format (YYYY-MM-DD)
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
              - type: 'null'
            description: Number of transactions per page
            default: 1000
            title: Page
          description: Number of transactions per page
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Next cursor
            title: Next Cursor
          description: Next cursor
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerAccountTransactionHistoryApiResponseSchema_list_GetFinxactTransactionHistoryResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerAccountTransactionHistoryApiResponseSchema_list_GetFinxactTransactionHistoryResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/GetFinxactTransactionHistoryResponse'
              type: array
            - type: 'null'
          title: Data
        pagination:
          anyOf:
            - $ref: '#/components/schemas/CustomerAccountHistoryTransactionPagination'
            - type: 'null'
      type: object
      required:
        - message
      title: >-
        CustomerAccountTransactionHistoryApiResponseSchema[list[GetFinxactTransactionHistoryResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetFinxactTransactionHistoryResponse:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Transaction unique identifier
          examples:
            - abc123
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Account number
          examples:
            - '123456789'
        institution_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Institution Id
          description: Institution unique identifier
          examples:
            - INDX-01
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Transaction type
          examples:
            - Deposit
        settled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Settled At
          description: Transaction settled date
          examples:
            - '2025-12-31T01:10:33Z'
        settlement_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Settlement Date
          description: Transaction settlement date
          examples:
            - '2025-12-31'
        amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Amount
          description: Transaction amount
          examples:
            - 190.5
        tx_uuid:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Tx Uuid
          description: Transaction UUID
          examples:
            - 9f45d2b9-f320-4346-909e-112931d7d3bb
      type: object
      title: GetFinxactTransactionHistoryResponse
      description: Schema to serialize the finxact transaction history response.
    CustomerAccountHistoryTransactionPagination:
      properties:
        limit:
          type: integer
          title: Limit
          description: Limit number of items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: The next item
      type: object
      required:
        - limit
      title: CustomerAccountHistoryTransactionPagination
      description: Represent the pagination structure.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````